Create a Score Footprint object

Create a Score Footprint object.

This endpoint requires the following mandatory parameters:

  • consent
  • templateId

Additional required fields depend on the selected templateId.

Supported Templates

Template IDInput TypeRequired Parameters
tpl-footprint-scoreEmail + mobile numberconsent, templateId, emailAddress, mobileNumber, countryCode

Field Rules

  • emailAddress must be provided and must be a valid email address.
  • For tpl-footprint-score, emailAddress and mobileNumber must both be provided.
  • countryCode is required and must be a valid ISO country code.
  • footprintItemsTimeout is optional, in seconds, between 1 and 30.

Sandbox Test Values

Template IDTest InputExpected Response
tpl-footprint-scoreemailAddress = [email protected], mobileNumber = 639559991234, countryCode = PHresultCode = SUCCESS

For all other valid input combinations, if no mock data is matched, the response will return:
resultCode = NO_DATA, and no items will be included.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Email address of the data subject. Required. Must be a valid email address.

string
required

Mobile number of the data subject. Required. Must start with the country code, for example 639559991234, and must not contain a leading 0 or a + sign.

string | null
enum
required

2 character alpha ISO-3166 codes

string
required

Fixed to tpl-footprint-score.

integer
1 to 30

Timeout in seconds for waiting for Footprint items. Items completed before the timeout are returned; the remaining items have a null value.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json